SKB_GSO_TRANSPORT_SE(9)

NAME
skb_gso_transport_seglen - Return length of individual segments of a gso packet

SYNOPSIS

unsigned int skb_gso_transport_seglen(const struct sk_buff * skb);

ARGUMENTS

skb
    GSO skb

DESCRIPTION

skb_gso_transport_seglen is used to determine the real size of the individual segments, including Layer4 headers (TCP/UDP).

The MAC/L2 or network (IP, IPv6) headers are not accounted for.

COPYRIGHT